SET XGE_FONTDIR=%CD%/Resources
SET XGE_IMAGEDIR=%CD%/Resources
@echo off
@echo.
@echo Command-line samples for XpsConvert.
@echo Copyright 2007-2009 Pagemark Technology, Inc.
@echo.

@echo. Example 1) Convert XPS to PDF 
XpsConvert -o test_out/ex1 test/WordDoc.xps

@echo. Example 2) Convert XPS to a mulipage TIF at dpi 100
XpsConvert  -o test_out/ex2 -f TIF --dpi 100 --multipage test/WordDoc.xps

@echo. Example 3) Convert XPS to PNG Rotated by 270
XpsConvert  -o test_out/ex3 -f PNG --rotate 270 test/sa012.xps

@echo. Example 4) Convert XPS to JPEG 
XpsConvert  -o test_out/ex4 -f JPG test/country.xps

@echo. Example 5) Convert XPS to JPEG Apply an ICC profile to the output
XpsConvert  -o test_out/ex5 -f JPG --icc Resources/weird.icc test/country.xps

@echo. Example 6) Convert XPS to a mulipage CCITT4 Fax TIF at dpi 208
XpsConvert  -o test_out/ex6 --dpi 200 -f TIF --compress ccitt4 test/WordDoc.xps

@echo. Example 7) Convert XPS to PDF only pages 1 & 2, with user supplied content
XpsConvert -o test_out/ex7 --pages 1,2 --xml test/content.xml test/wordDoc.xps

@echo. Example 8) Convert XPS to TIF in all subfolders
XpsConvert -o test_out/ex8  --subfolders test

@echo. Example 9) Convert XPS to TIF using wild a card
XpsConvert -o test_out/ex9  -f TIF test/sa00*.xps

@echo. Example 10) Convert XPS to RAW with output transformed by ICC profile
XpsConvert -o test_out/ex10  -f RAW  --icc Resources/weird.icc test/country.xps

@echo. Example 11) Convert Create PDF Pages from XML user created templates
XpsConvert -o test_out/ex11  --fpage  Dynamic/1.txt
XpsConvert -o test_out/ex11  --fpage  Dynamic/2.txt
XpsConvert -o test_out/ex11  --fpage  Dynamic/3.txt

@echo. Example 12)  Create CCITT4 TIF from  user generated XML file
xpsconvert -o test_out/ex12 -f TIF --compress CCITT4 --dpi 200 --fpage dynamic/coverpage.txt

@pause